#include <stdio.h>

int main()
{
    int ukupnopoena ;
    int poenazaset ;
    int j = 0 ;
    int prvitim[5] ;
    int drugitim [5] ;
    
    for ( j = 0 ; j < 5 ; j++ )
    {
        prvitim[j] = 0 ;
        drugitim[j] = 0 ;
    }
    
    j = 0 ;
    
    scanf("%d", &ukupnopoena) ;
    scanf("%d", &poenazaset) ;
    
    int suma = 3 * poenazaset ;
    
    if ( poenazaset*3 > ukupnopoena )
    {
        printf("-1");
    }
    else
    {
        
        prvitim[0] = poenazaset ;
        prvitim[1] = poenazaset ;
        prvitim[2] = poenazaset ;
        
        for ( j = 0 ; j < 5 ; j++ )
        {
            if ( suma != ukupnopoena )
            {
                if ( ukupnopoena - suma <= poenazaset - 2 )
                {
                    drugitim[j] = ukupnopoena - suma ;
                    suma += drugitim[j] ;
                }
                else
                {
                    drugitim[j] = poenazaset-2 ;
                    suma += drugitim[j] ;
                }
            }
            else { break; }
        }
        
        if ( (ukupnopoena - suma ) % 2 == 0 )
        {
            while ( ukupnopoena != suma )
            {
                suma += 2 ;
                prvitim[0]++ ;
                drugitim[0]++ ;
            }
                    
        }
                
        printf("%d %d\n%d %d\n%d %d", prvitim[0] , drugitim[0] , prvitim[1] , drugitim[1] , prvitim[2] , drugitim[2] ) ;
        
    }
    
    return 0;
}